> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Domestic general bills

> Use ADP preset applications to extract fields from domestic general bills.

## Overview

Domestic general bills use the document extraction API.

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract
```

The API returns extracted fields and classification results based on the preset application configuration.

For large files or longer-running extractions, create an asynchronous task first and use its `task_id` to query the result:

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task
GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}
```

To verify an invoice directly from its invoice details, call the standalone invoice verification API:

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/invoice/verify
```

Provide the invoice number, invoice date, and tax-inclusive total. Use `YYYY-MM-DD` for the invoice date.

## Request parameters

| Name          | Type   | Required | Description                                                                            |
| ------------- | ------ | -------- | -------------------------------------------------------------------------------------- |
| `tenant_name` | string | Yes      | Tenant name. Default: `laiye`.                                                         |
| `app_id`      | string | Yes      | Unique ID of the domestic general bill preset application.                             |
| `file_base64` | string | Optional | Base64 content of the file. Use either `file_base64` or `file_url`.                    |
| `file_url`    | string | Optional | Online file URL. Use either `file_url` or `file_base64`. Only HTTP URLs are supported. |

## Supported bill types

<AccordionGroup>
  <Accordion title="Air transport e-ticket itinerary (air_transport)">
    | Field                                   | Field Name                        | Type |
    | --------------------------------------- | --------------------------------- | ---- |
    | Expense category                        | `expense_category`                | Text |
    | GP number                               | `gp_number`                       | Text |
    | Print serial number                     | `print_serial_number`             | Text |
    | Passenger name                          | `passenger_name`                  | Text |
    | Passenger ID                            | `passenger_id`                    | Text |
    | Ticket restrictions                     | `ticket_restrictions`             | Text |
    | Departure station                       | `departure_station`               | Text |
    | Arrival station                         | `arrival_station`                 | Text |
    | Departure location (city-airport name)  | `departure_location`              | Text |
    | Destination (city-airport name)         | `arrival_location`                | Text |
    | Carrier                                 | `carrier`                         | Text |
    | Flight number                           | `flight_number`                   | Text |
    | Flight date                             | `flight_date`                     | Text |
    | Flight time                             | `flight_time`                     | Text |
    | Seat class                              | `seat_class`                      | Text |
    | Baggage allowance                       | `baggage_allowance`               | Text |
    | Fare                                    | `fare`                            | Text |
    | Fuel surcharge                          | `fuel_surcharge`                  | Text |
    | Civil Aviation Development Fund         | `civil_aviation_development_fund` | Text |
    | Other taxes and fees                    | `other_taxes`                     | Text |
    | Insurance fee                           | `insurance_fee`                   | Text |
    | Total amount                            | `total_amount`                    | Text |
    | E-ticket number                         | `e_ticket_number`                 | Text |
    | Sales outlet code                       | `sales_outlet_code`               | Text |
    | Issuing entity                          | `issuing_entity`                  | Text |
    | Issue date                              | `issue_date`                      | Text |
    | Invoice seal present                    | `invoice_seal_present`            | Text |
    | Invoice supervision seal present        | `supervision_seal_present`        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`          | Text |
  </Accordion>

  <Accordion title="Customs declaration form (custom_declaration_form)">
    | Field                                   | Field Name                                            | Type |
    | --------------------------------------- | ----------------------------------------------------- | ---- |
    | 随附单证及编号                                 | `supporting_document_number`                          | Text |
    | 合同协议号                                   | `contract_agreement_number`                           | Text |
    | 海关编号                                    | `customs_number`                                      | Text |
    | 成交方式                                    | `transaction_method`                                  | Text |
    | 申报日期                                    | `declaration_date`                                    | Text |
    | 启运国 / 运抵国 (地区)                          | `departure_or_destination_country`                    | Text |
    | 启运国 / 运抵国 (地区) 代码                       | `departure_or_destination_country_code`               | Text |
    | 启运港                                     | `departure_port`                                      | Text |
    | 贸易国（地区）                                 | `trade_country`                                       | Text |
    | 贸易国（地区）代码                               | `trade_country_code`                                  | Text |
    | 经停港 / 指运港                               | `transshipment_or_destination_port`                   | Text |
    | 货物存放地点                                  | `storage_location`                                    | Text |
    | 境内发货人/收货人社会信用代码                         | `domestic_operator_social_credit_code`                | Text |
    | 境内发货人/收货人企业名称                           | `domestic_operator_name`                              | Text |
    | 入境/离境口岸                                 | `entry_or_exit_port`                                  | Text |
    | 运费                                      | `freight_amount`                                      | Text |
    | 毛重                                      | `gross_weight`                                        | Text |
    | 出口日期/进口日期                               | `import_or_export_date`                               | Text |
    | 出境关别/入境关别                               | `import_or_export_customs_office`                     | Text |
    | 包装种类                                    | `package_type`                                        | Text |
    | 提运单号                                    | `bill_of_lading_number`                               | Text |
    | 许可证号                                    | `license_number`                                      | Text |
    | 净重                                      | `net_weight`                                          | Text |
    | Toll invoice number                     | `invoice_number`                                      | Text |
    | 件数                                      | `package_count`                                       | Text |
    | 预录入编号                                   | `pre_entry_number`                                    | Text |
    | 境外发货人/收货人企业名称                           | `overseas_operator_name`                              | Text |
    | 保费                                      | `insurance_premium`                                   | Text |
    | 生产销售/消费使用单位企业社会信用代码                     | `production_or_consumption_entity_social_credit_code` | Text |
    | 生产销售/消费使用单位企业名称                         | `production_or_consumption_entity_name`               | Text |
    | QR code information                     | `qr_code`                                             | Text |
    | 备案号                                     | `registration_number`                                 | Text |
    | 标记唛码及备注                                 | `marks_and_remarks`                                   | Text |
    | 杂费                                      | `miscellaneous_charges`                               | Text |
    | 监管方式                                    | `supervision_mode`                                    | Text |
    | Invoice title                           | `invoice_title`                                       | Text |
    | 运输方式                                    | `transport_mode`                                      | Text |
    | 运输工具名称及航次号                              | `transport_vehicle_and_voyage_number`                 | Text |
    | 征免性质                                    | `levy_exemption_nature`                               | Text |
    | Page number (total pages/current page)  | `invoice_page_number`                                 | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`                              | Text |
    | 省市                                      | `invoice_address`                                     | Text |
    | Total amount                            | `total_amount`                                        | Text |
    | 申请单位编号                                  | `applicant_unit_number`                               | Text |
    | 预算级次                                    | `budget_level`                                        | Text |
    | 收入机关                                    | `revenue_authority_name`                              | Text |
    | 收款单位科目                                  | `revenue_subject`                                     | Text |
    | 收入系统                                    | `revenue_system`                                      | Text |
    | Total amount in words                   | `total_amount_in_words`                               | Text |
    | 报关单编号                                   | `customs_declaration_number`                          | Text |
    | 收款国库名称                                  | `treasury_name`                                       | Text |
    | 收款国库ID号                                 | `treasury_id`                                         | Text |
    | 缴款单位开户银行                                | `payer_bank_name`                                     | Text |
    | 缴款单位账号                                  | `payer_bank_account`                                  | Text |
    | 缴款单位名称                                  | `payer_name`                                          | Text |
    | 缴款期限                                    | `payment_deadline`                                    | Text |
    | Remarks                                 | `remarks`                                             | Text |
    | 运输工具（号）                                 | `transport_vehicle_number`                            | Text |
    | Invoice seal present                    | `invoice_seal_present`                                | Text |

    **Table fields**

    | Field         | Field Name                            | Type |
    | ------------- | ------------------------------------- | ---- |
    | 项目序号          | `line_item_number`                    | Text |
    | 商品编号          | `line_item_code`                      | Text |
    | Item name     | `line_item_name`                      | Text |
    | Specification | `line_item_specification`             | Text |
    | 数量及单位         | `line_item_quantity_and_unit`         | Text |
    | 单位/总价/币值      | `line_item_unit_total_price_currency` | Text |
    | 原产国（地区）       | `line_item_origin_country`            | Text |
    | 最终目的国（地区）     | `line_item_destination_country`       | Text |
    | 境内目的地/货源地     | `line_item_domestic_area`             | Text |
    | 征免            | `line_item_exemption`                 | Text |
    | 税号            | `line_item_tax_code`                  | Text |
    | Quantity      | `line_item_quantity`                  | Text |
    | Unit          | `line_item_unit`                      | Text |
    | 完税价格          | `line_item_dutiable_value`            | Text |
    | Tax rate      | `line_item_tax_rate`                  | Text |
    | Tax amount    | `line_item_tax_amount`                | Text |
  </Accordion>

  <Accordion title="Customs payment form (customs_payment_form)">
    | Field                                   | Field Name                                            | Type |
    | --------------------------------------- | ----------------------------------------------------- | ---- |
    | 随附单证及编号                                 | `supporting_document_number`                          | Text |
    | 合同协议号                                   | `contract_agreement_number`                           | Text |
    | 海关编号                                    | `customs_number`                                      | Text |
    | 成交方式                                    | `transaction_method`                                  | Text |
    | 申报日期                                    | `declaration_date`                                    | Text |
    | 启运国 / 运抵国 (地区)                          | `departure_or_destination_country`                    | Text |
    | 启运国 / 运抵国 (地区) 代码                       | `departure_or_destination_country_code`               | Text |
    | 启运港                                     | `departure_port`                                      | Text |
    | 贸易国（地区）                                 | `trade_country`                                       | Text |
    | 贸易国（地区）代码                               | `trade_country_code`                                  | Text |
    | 经停港 / 指运港                               | `transshipment_or_destination_port`                   | Text |
    | 货物存放地点                                  | `storage_location`                                    | Text |
    | 境内发货人/收货人社会信用代码                         | `domestic_operator_social_credit_code`                | Text |
    | 境内发货人/收货人企业名称                           | `domestic_operator_name`                              | Text |
    | 入境/离境口岸                                 | `entry_or_exit_port`                                  | Text |
    | 运费                                      | `freight_amount`                                      | Text |
    | 毛重                                      | `gross_weight`                                        | Text |
    | 出口日期/进口日期                               | `import_or_export_date`                               | Text |
    | 出境关别/入境关别                               | `import_or_export_customs_office`                     | Text |
    | 包装种类                                    | `package_type`                                        | Text |
    | 提运单号                                    | `bill_of_lading_number`                               | Text |
    | 许可证号                                    | `license_number`                                      | Text |
    | 净重                                      | `net_weight`                                          | Text |
    | Toll invoice number                     | `invoice_number`                                      | Text |
    | 件数                                      | `package_count`                                       | Text |
    | 预录入编号                                   | `pre_entry_number`                                    | Text |
    | 境外发货人/收货人企业名称                           | `overseas_operator_name`                              | Text |
    | 保费                                      | `insurance_premium`                                   | Text |
    | 生产销售/消费使用单位企业社会信用代码                     | `production_or_consumption_entity_social_credit_code` | Text |
    | 生产销售/消费使用单位企业名称                         | `production_or_consumption_entity_name`               | Text |
    | QR code information                     | `qr_code`                                             | Text |
    | 备案号                                     | `registration_number`                                 | Text |
    | 标记唛码及备注                                 | `marks_and_remarks`                                   | Text |
    | 杂费                                      | `miscellaneous_charges`                               | Text |
    | 监管方式                                    | `supervision_mode`                                    | Text |
    | Invoice title                           | `invoice_title`                                       | Text |
    | 运输方式                                    | `transport_mode`                                      | Text |
    | 运输工具名称及航次号                              | `transport_vehicle_and_voyage_number`                 | Text |
    | 征免性质                                    | `levy_exemption_nature`                               | Text |
    | Page number (total pages/current page)  | `invoice_page_number`                                 | Text |
    | Issue date                              | `issue_date`                                          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`                              | Text |
    | 省市                                      | `invoice_address`                                     | Text |
    | Total amount                            | `total_amount`                                        | Text |
    | 申请单位编号                                  | `applicant_unit_number`                               | Text |
    | 预算级次                                    | `budget_level`                                        | Text |
    | 收入机关                                    | `revenue_authority_name`                              | Text |
    | 收款单位科目                                  | `revenue_subject`                                     | Text |
    | 收入系统                                    | `revenue_system`                                      | Text |
    | Total amount in words                   | `total_amount_in_words`                               | Text |
    | 报关单编号                                   | `customs_declaration_number`                          | Text |
    | 收款国库名称                                  | `treasury_name`                                       | Text |
    | 收款国库ID号                                 | `treasury_id`                                         | Text |
    | 缴款单位开户银行                                | `payer_bank_name`                                     | Text |
    | 缴款单位账号                                  | `payer_bank_account`                                  | Text |
    | 缴款单位名称                                  | `payer_name`                                          | Text |
    | 缴款期限                                    | `payment_deadline`                                    | Text |
    | Remarks                                 | `remarks`                                             | Text |
    | 运输工具（号）                                 | `transport_vehicle_number`                            | Text |
    | Invoice seal present                    | `invoice_seal_present`                                | Text |

    **Table fields**

    | Field         | Field Name                            | Type |
    | ------------- | ------------------------------------- | ---- |
    | 项目序号          | `line_item_number`                    | Text |
    | 商品编号          | `line_item_code`                      | Text |
    | Item name     | `line_item_name`                      | Text |
    | Specification | `line_item_specification`             | Text |
    | 数量及单位         | `line_item_quantity_and_unit`         | Text |
    | 单位/总价/币值      | `line_item_unit_total_price_currency` | Text |
    | 原产国（地区）       | `line_item_origin_country`            | Text |
    | 最终目的国（地区）     | `line_item_destination_country`       | Text |
    | 境内目的地/货源地     | `line_item_domestic_area`             | Text |
    | 征免            | `line_item_exemption`                 | Text |
    | 税号            | `line_item_tax_code`                  | Text |
    | Quantity      | `line_item_quantity`                  | Text |
    | Unit          | `line_item_unit`                      | Text |
    | 完税价格          | `line_item_dutiable_value`            | Text |
    | Tax rate      | `line_item_tax_rate`                  | Text |
    | Tax amount    | `line_item_tax_amount`                | Text |
  </Accordion>

  <Accordion title="Electronic air transport e-ticket itinerary (electronic_air_transport)">
    | Field                                          | Field Name                        | Type |
    | ---------------------------------------------- | --------------------------------- | ---- |
    | Invoice title                                  | `invoice_title`                   | Text |
    | Expense category                               | `expense_category`                | Text |
    | Subtype (domestic or international identifier) | `domestic_international_type`     | Text |
    | GP number                                      | `gp_number`                       | Text |
    | Invoice number                                 | `invoice_number`                  | Text |
    | QR code information                            | `qr_code`                         | Text |
    | Passenger name                                 | `passenger_name`                  | Text |
    | Passenger ID                                   | `passenger_id`                    | Text |
    | Ticket restrictions                            | `ticket_restrictions`             | Text |
    | Departure station                              | `departure_station`               | Text |
    | Arrival station                                | `arrival_station`                 | Text |
    | Departure location (city-airport name)         | `departure_location`              | Text |
    | Arrival location (city-airport name)           | `arrival_location`                | Text |
    | Carrier                                        | `carrier`                         | Text |
    | Flight number                                  | `flight_number`                   | Text |
    | Flight date                                    | `flight_date`                     | Text |
    | Flight time                                    | `flight_time`                     | Text |
    | Seat class                                     | `seat_class`                      | Text |
    | Fare basis / ticket class                      | `fare_basis`                      | Text |
    | Ticket valid from                              | `ticket_valid_from`               | Text |
    | Ticket valid until                             | `ticket_valid_until`              | Text |
    | Baggage allowance                              | `baggage_allowance`               | Text |
    | Fare                                           | `fare`                            | Text |
    | Fuel surcharge                                 | `fuel_surcharge`                  | Text |
    | Tax rate                                       | `tax_rate`                        | Text |
    | Total tax amount                               | `tax_amount`                      | Text |
    | Civil Aviation Development Fund                | `civil_aviation_development_fund` | Text |
    | Other taxes and fees                           | `other_taxes`                     | Text |
    | Insurance fee                                  | `insurance_fee`                   | Text |
    | Total amount                                   | `total_amount`                    | Text |
    | E-ticket number                                | `e_ticket_number`                 | Text |
    | Verification code                              | `verification_code`               | Text |
    | Sales outlet code                              | `sales_outlet_code`               | Text |
    | Issuing entity                                 | `issuing_entity`                  | Text |
    | Issue date                                     | `issue_date`                      | Text |
    | Buyer name                                     | `buyer_name`                      | Text |
    | Buyer tax ID                                   | `buyer_tax_id`                    | Text |
    | Source PDF page number (1 for an image)        | `source_pdf_page_number`          | Text |
  </Accordion>

  <Accordion title="Electronic motor vehicle sales invoice (electronic_motor_vehicle_sale_invoice)">
    | Field                                   | Field Name                            | Type |
    | --------------------------------------- | ------------------------------------- | ---- |
    | Invoice location                        | `invoice_location`                    | Text |
    | Total amount                            | `total_amount`                        | Text |
    | Total amount in words                   | `total_amount_in_words`               | Text |
    | Toll invoice code                       | `invoice_code`                        | Text |
    | Issue date                              | `issue_date`                          | Text |
    | 发动机号码                                   | `vehicle_engine_number`               | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`                   | Text |
    | Invoice copy number                     | `invoice_copy_number`                 | Text |
    | 全电发票号码（税控码区内）                           | `invoice_evat_number`                 | Text |
    | 进口证明书号                                  | `vehicle_import_certificate_number`   | Text |
    | Expense category                        | `expense_category`                    | Text |
    | 商检单号                                    | `vehicle_commodity_inspection_number` | Text |
    | Issuer name                             | `issuer_name`                         | Text |
    | Machine code                            | `machine_code`                        | Text |
    | 限乘人数                                    | `vehicle_passenger_capacity`          | Text |
    | Amount excluding tax                    | `amount_excluding_tax`                | Text |
    | Toll invoice number                     | `invoice_number`                      | Text |
    | Buyer tax ID                            | `buyer_tax_id`                        | Text |
    | 购买方名称的身份证号码或组织机构代码                      | `buyer_identity_or_organization_code` | Text |
    | Buyer name                              | `buyer_name`                          | Text |
    | 机打代码                                    | `machine_printed_code`                | Text |
    | Machine-printed number                  | `machine_printed_number`              | Text |
    | QR code information                     | `qr_code`                             | Text |
    | 合格证号                                    | `vehicle_certificate_number`          | Text |
    | 销售方地址                                   | `seller_address`                      | Text |
    | 销售方开户银行                                 | `seller_bank_name`                    | Text |
    | Seller bank account                     | `seller_bank_account`                 | Text |
    | Seller tax ID                           | `seller_tax_id`                       | Text |
    | Seller name                             | `seller_name`                         | Text |
    | 电话                                      | `seller_phone`                        | Text |
    | Invoice seal present                    | `invoice_seal_present`                | Text |
    | Invoice supervision seal present        | `supervision_seal_present`            | Text |
    | Total tax amount                        | `tax_amount`                          | Text |
    | 主管税务机关                                  | `tax_authority_name`                  | Text |
    | 主管税务代码                                  | `tax_authority_code`                  | Text |
    | 完税凭证号                                   | `tax_payment_certificate_number`      | Text |
    | Tax rate                                | `tax_rate`                            | Text |
    | Invoice title                           | `invoice_title`                       | Text |
    | 吨位                                      | `vehicle_tonnage`                     | Text |
    | Invoice type                            | `invoice_type`                        | Text |
    | 车辆识别代号/车架号                              | `vehicle_identification_number`       | Text |
    | 厂牌型号                                    | `vehicle_model`                       | Text |
    | 产地                                      | `vehicle_origin`                      | Text |
    | 车辆类型                                    | `vehicle_type`                        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`              | Text |
  </Accordion>

  <Accordion title="Electronic train ticket (electronic_train_ticket)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Invoice title                           | `invoice_title`          | Text |
    | Expense category                        | `expense_category`       | Text |
    | Invoice number                          | `invoice_number`         | Text |
    | Issue date                              | `issue_date`             | Text |
    | Departure station                       | `departure_station`      | Text |
    | Arrival station                         | `arrival_station`        | Text |
    | Train number                            | `train_number`           | Text |
    | Travel date                             | `travel_date`            | Text |
    | Departure time                          | `departure_time`         | Text |
    | Seat number                             | `seat_number`            | Text |
    | Seat class                              | `seat_class`             | Text |
    | Total amount                            | `total_amount`           | Text |
    | Amount excluding tax                    | `amount_excluding_tax`   | Text |
    | Tax rate                                | `tax_rate`               | Text |
    | Total tax amount                        | `tax_amount`             | Text |
    | Passenger ID                            | `passenger_id`           | Text |
    | Passenger name                          | `passenger_name`         | Text |
    | E-ticket number                         | `e_ticket_number`        | Text |
    | QR code information                     | `qr_code`                | Text |
    | Buyer name                              | `buyer_name`             | Text |
    | Buyer tax ID                            | `buyer_tax_id`           | Text |
    | Remarks                                 | `remarks`                | Text |
    | Is refund fee                           | `is_refund_fee`          | Text |
    | Is change fee                           | `is_change_fee`          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |
  </Accordion>

  <Accordion title="Electronic used car sales invoice (electronic_used_car_purchase_invoice)">
    | Field                                   | Field Name                                   | Type |
    | --------------------------------------- | -------------------------------------------- | ---- |
    | Invoice title                           | `invoice_title`                              | Text |
    | Invoice type                            | `invoice_type`                               | Text |
    | Expense category                        | `expense_category`                           | Text |
    | Invoice location                        | `invoice_location`                           | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`                          | Text |
    | Invoice copy number                     | `invoice_copy_number`                        | Text |
    | Toll invoice code                       | `invoice_code`                               | Text |
    | Toll invoice number                     | `invoice_number`                             | Text |
    | 全电发票号码（税控码区内）                           | `invoice_evat_number`                        | Text |
    | Issue date                              | `issue_date`                                 | Text |
    | Machine code                            | `machine_code`                               | Text |
    | 机打代码                                    | `machine_printed_code`                       | Text |
    | Machine-printed number                  | `machine_printed_number`                     | Text |
    | QR code information                     | `qr_code`                                    | Text |
    | Buyer name                              | `buyer_name`                                 | Text |
    | 购买身份证号码/组织机构代码                          | `buyer_identity_or_organization_code`        | Text |
    | 购买方地址                                   | `buyer_address`                              | Text |
    | 购买方电话号码                                 | `buyer_phone`                                | Text |
    | Seller name                             | `seller_name`                                | Text |
    | 卖方身份证号码/组织机构代码                          | `seller_identity_or_organization_code`       | Text |
    | 卖方地址                                    | `seller_address`                             | Text |
    | 卖方电话号码                                  | `seller_phone`                               | Text |
    | 车牌照号                                    | `vehicle_license_plate_number`               | Text |
    | 登记证号                                    | `vehicle_registration_certificate_number`    | Text |
    | 车辆类型                                    | `vehicle_type`                               | Text |
    | 车架号/车辆识别代码                              | `vehicle_identification_number`              | Text |
    | 厂牌型号                                    | `vehicle_model`                              | Text |
    | 转入地车辆管理所名称                              | `transfer_in_vehicle_management_office_name` | Text |
    | Total amount in words                   | `total_amount_in_words`                      | Text |
    | Total amount                            | `total_amount`                               | Text |
    | 经营、拍卖单位                                 | `auction_entity_name`                        | Text |
    | 经营、拍卖单位地址                               | `auction_entity_address`                     | Text |
    | 经营、拍卖单位纳税人识别号                           | `auction_entity_tax_id`                      | Text |
    | 经营、拍卖单位开户银行、账号                          | `auction_entity_bank_account`                | Text |
    | 经营、拍卖单位电话                               | `auction_entity_phone`                       | Text |
    | 二手车市场                                   | `vehicle_market_name`                        | Text |
    | 二手车市场纳税人识别号                             | `vehicle_market_tax_id`                      | Text |
    | 二手车市场地址                                 | `vehicle_market_address`                     | Text |
    | 二手车市场开户银行、账号                            | `vehicle_market_bank_account`                | Text |
    | 二手车市场电话                                 | `vehicle_market_phone`                       | Text |
    | Remarks                                 | `remarks`                                    | Text |
    | Issuer name                             | `issuer_name`                                | Text |
    | Invoice seal present                    | `invoice_seal_present`                       | Text |
    | Invoice supervision seal present        | `supervision_seal_present`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`                     | Text |
  </Accordion>

  <Accordion title="Fiscal paper (fiscal_paper)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Total amount                            | `total_amount`             | Text |
    | Payee name                              | `payee_name`               | Text |
    | Verification code                       | `verification_code`        | Text |
    | Total amount in words                   | `total_amount_in_words`    | Text |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Issue date                              | `issue_date`               | Text |
    | 交款人统一社会信用代码                             | `payer_social_credit_code` | Text |
    | 交款人                                     | `payer_name`               | Text |
    | QR code information                     | `qr_code`                  | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |

    **Table fields**

    | Field     | Field Name           | Type |
    | --------- | -------------------- | ---- |
    | Item name | `line_item_name`     | Text |
    | Unit      | `line_item_unit`     | Text |
    | Quantity  | `line_item_quantity` | Text |
    | Amount    | `line_item_amount`   | Text |
  </Accordion>

  <Accordion title="Electronic fiscal paper (fiscal_paper_electronic)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Total amount                            | `total_amount`             | Text |
    | Payee name                              | `payee_name`               | Text |
    | Verification code                       | `verification_code`        | Text |
    | Total amount in words                   | `total_amount_in_words`    | Text |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Issue date                              | `issue_date`               | Text |
    | 交款人统一社会信用代码                             | `payer_social_credit_code` | Text |
    | 交款人                                     | `payer_name`               | Text |
    | QR code information                     | `qr_code`                  | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |

    **Table fields**

    | Field     | Field Name           | Type |
    | --------- | -------------------- | ---- |
    | Item name | `line_item_name`     | Text |
    | Unit      | `line_item_unit`     | Text |
    | Quantity  | `line_item_quantity` | Text |
    | Amount    | `line_item_amount`   | Text |
  </Accordion>

  <Accordion title="General machine-printed invoice (general_machine_invoice)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Expense category                        | `expense_category`       | Text |
    | Toll invoice code                       | `invoice_code`           | Text |
    | Toll invoice number                     | `invoice_number`         | Text |
    | Seller name                             | `seller_name`            | Text |
    | Seller tax ID                           | `seller_tax_id`          | Text |
    | Buyer name                              | `buyer_name`             | Text |
    | Buyer tax ID                            | `buyer_tax_id`           | Text |
    | Total amount                            | `total_amount`           | Text |
    | Issue date                              | `issue_date`             | Text |
    | Invoice seal present                    | `invoice_seal_present`   | Text |
    | Invoice location                        | `invoice_location`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`      | Text |
    | Total tax amount                        | `tax_amount`             | Text |
    | Invoice title                           | `invoice_title`          | Text |
    | QR code information                     | `qr_code`                | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
  </Accordion>

  <Accordion title="Highway passenger invoice (highway_passenger_invoice)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | Original taxi fare                      | `amount`                   | Text |
    | Issue date                              | `issue_date`               | Text |
    | 时间                                      | `time`                     | Text |
    | Passenger name                          | `passenger_name`           | Text |
    | Passenger ID                            | `passenger_id`             | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Arrival station                         | `arrival_station`          | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Departure station                       | `departure_station`        | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Expense category                        | `expense_category`         | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |
  </Accordion>

  <Accordion title="Machine-printed electronic invoice (machine_printed_invoice)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Electronic/paper invoice                | `invoice_media_type`       | Text |
    | Invoice type                            | `invoice_type`             | Text |
    | Expense category                        | `expense_category`         | Text |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | Seller name                             | `seller_name`              | Text |
    | Seller tax ID                           | `seller_tax_id`            | Text |
    | Buyer name                              | `buyer_name`               | Text |
    | Buyer tax ID                            | `buyer_tax_id`             | Text |
    | Total amount                            | `total_amount`             | Text |
    | Issue date                              | `issue_date`               | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Invoice location                        | `invoice_location`         | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`        | Text |
    | Total tax amount                        | `tax_amount`               | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | QR code information                     | `qr_code`                  | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |
    | Total amount in words                   | `total_amount_in_words`    | Text |
    | Seller address and phone                | `seller_address_phone`     | Text |
    | Seller bank account                     | `seller_bank_account`      | Text |
    | Buyer address and phone                 | `buyer_address_phone`      | Text |
    | Buyer bank account                      | `buyer_bank_account`       | Text |
    | Amount excluding tax                    | `amount_excluding_tax`     | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Verification code                       | `verification_code`        | Text |
    | Issuer name                             | `issuer_name`              | Text |
    | Payee name                              | `payee_name`               | Text |
    | Reviewer name                           | `reviewer_name`            | Text |
    | Remarks                                 | `remarks`                  | Text |
    | 是否为区块链发票                                | `is_blockchain_invoice`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
  </Accordion>

  <Accordion title="Electronic medical invoice (medical_electronic_invoice)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Total amount                            | `total_amount`             | Text |
    | Original taxi fare                      | `amount`                   | Text |
    | Payee name                              | `payee_name`               | Text |
    | Total amount in words                   | `total_amount_in_words`    | Text |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Issue date                              | `issue_date`               | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | 交款人                                     | `payer_name`               | Text |
    | 交款人统一社会信用代码                             | `payer_social_credit_code` | Text |
    | 个人自费                                    | `personal_payment_amount`  | Text |
    | QR code information                     | `qr_code`                  | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Verification code                       | `verification_code`        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |
    | Barcode information                     | `barcode`                  | Text |
    | 金额信息                                    | `amount_details`           | Text |
  </Accordion>

  <Accordion title="Medical invoice (medical_invoice)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Total amount                            | `total_amount`             | Text |
    | Payee name                              | `payee_name`               | Text |
    | Total amount in words                   | `total_amount_in_words`    | Text |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Issue date                              | `issue_date`               | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | 交款人                                     | `payer_name`               | Text |
    | 交款人统一社会信用代码                             | `payer_social_credit_code` | Text |
    | 个人自费                                    | `personal_payment_amount`  | Text |
    | QR code information                     | `qr_code`                  | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Verification code                       | `verification_code`        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |
    | Barcode information                     | `barcode`                  | Text |
    | 金额信息                                    | `amount_details`           | Text |
  </Accordion>

  <Accordion title="Motor vehicle sales invoice (motor_vehicle_sale_invoice)">
    | Field                                   | Field Name                            | Type |
    | --------------------------------------- | ------------------------------------- | ---- |
    | Invoice location                        | `invoice_location`                    | Text |
    | Total amount                            | `total_amount`                        | Text |
    | Total amount in words                   | `total_amount_in_words`               | Text |
    | Toll invoice code                       | `invoice_code`                        | Text |
    | Issue date                              | `issue_date`                          | Text |
    | 发动机号码                                   | `vehicle_engine_number`               | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`                   | Text |
    | Invoice copy number                     | `invoice_copy_number`                 | Text |
    | 全电发票号码（税控码区内）                           | `invoice_evat_number`                 | Text |
    | 进口证明书号                                  | `vehicle_import_certificate_number`   | Text |
    | Expense category                        | `expense_category`                    | Text |
    | 商检单号                                    | `vehicle_commodity_inspection_number` | Text |
    | Issuer name                             | `issuer_name`                         | Text |
    | Machine code                            | `machine_code`                        | Text |
    | 限乘人数                                    | `vehicle_passenger_capacity`          | Text |
    | Amount excluding tax                    | `amount_excluding_tax`                | Text |
    | Toll invoice number                     | `invoice_number`                      | Text |
    | Buyer tax ID                            | `buyer_tax_id`                        | Text |
    | 购买方名称的身份证号码或组织机构代码                      | `buyer_identity_or_organization_code` | Text |
    | Buyer name                              | `buyer_name`                          | Text |
    | 机打代码                                    | `machine_printed_code`                | Text |
    | Machine-printed number                  | `machine_printed_number`              | Text |
    | QR code information                     | `qr_code`                             | Text |
    | 合格证号                                    | `vehicle_certificate_number`          | Text |
    | 销售方地址                                   | `seller_address`                      | Text |
    | 销售方开户银行                                 | `seller_bank_name`                    | Text |
    | Seller bank account                     | `seller_bank_account`                 | Text |
    | Seller tax ID                           | `seller_tax_id`                       | Text |
    | Seller name                             | `seller_name`                         | Text |
    | 电话                                      | `seller_phone`                        | Text |
    | Invoice seal present                    | `invoice_seal_present`                | Text |
    | Invoice supervision seal present        | `supervision_seal_present`            | Text |
    | Total tax amount                        | `tax_amount`                          | Text |
    | 主管税务机关                                  | `tax_authority_name`                  | Text |
    | 主管税务代码                                  | `tax_authority_code`                  | Text |
    | 完税凭证号                                   | `tax_payment_certificate_number`      | Text |
    | Tax rate                                | `tax_rate`                            | Text |
    | Invoice title                           | `invoice_title`                       | Text |
    | 吨位                                      | `vehicle_tonnage`                     | Text |
    | Invoice type                            | `invoice_type`                        | Text |
    | 车辆识别代号/车架号                              | `vehicle_identification_number`       | Text |
    | 厂牌型号                                    | `vehicle_model`                       | Text |
    | 产地                                      | `vehicle_origin`                      | Text |
    | 车辆类型                                    | `vehicle_type`                        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`              | Text |
  </Accordion>

  <Accordion title="Other invoice (other)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Total amount                            | `total_amount`           | Text |
    | Barcode information                     | `barcode`                | Text |
    | Toll invoice code                       | `invoice_code`           | Text |
    | 金额信息                                    | `amount_details`         | Text |
    | Issue date                              | `issue_date`             | Text |
    | Toll invoice number                     | `invoice_number`         | Text |
    | QR code information                     | `qr_code`                | Text |
    | Invoice title                           | `invoice_title`          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |
  </Accordion>

  <Accordion title="Quota invoice (quota_invoice)">
    | Field                                   | Field Name                 | Type |
    | --------------------------------------- | -------------------------- | ---- |
    | Toll invoice code                       | `invoice_code`             | Text |
    | Toll invoice number                     | `invoice_number`           | Text |
    | Invoice location                        | `invoice_location`         | Text |
    | Original taxi fare                      | `amount`                   | Text |
    | 金额(大写)                                  | `amount_in_words`          | Text |
    | Invoice seal present                    | `invoice_seal_present`     | Text |
    | Expense category                        | `expense_category`         | Text |
    | Invoice supervision seal present        | `supervision_seal_present` | Text |
    | Invoice title                           | `invoice_title`            | Text |
    | Issue date                              | `issue_date`               | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`   | Text |
  </Accordion>

  <Accordion title="Shipping invoice (shipping_invoice)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Toll invoice code                       | `invoice_code`           | Text |
    | Toll invoice number                     | `invoice_number`         | Text |
    | Original taxi fare                      | `amount`                 | Text |
    | Issue date                              | `issue_date`             | Text |
    | 时间                                      | `time`                   | Text |
    | Invoice seal present                    | `invoice_seal_present`   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |
  </Accordion>

  <Accordion title="Tax clearance certificate (tax_clearance_certificate)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Total amount                            | `total_amount`           | Text |
    | Total amount in words                   | `total_amount_in_words`  | Text |
    | Issue date                              | `issue_date`             | Text |
    | Issuer name                             | `issuer_name`            | Text |
    | Toll invoice number                     | `invoice_number`         | Text |
    | 纳税人识别号                                  | `taxpayer_tax_id`        | Text |
    | 纳税人名称                                   | `taxpayer_name`          | Text |
    | Remarks                                 | `remarks`                | Text |
    | 税务机关                                    | `tax_authority_name`     | Text |
    | Invoice title                           | `invoice_title`          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |

    **Table fields**

    | Field     | Field Name                                | Type |
    | --------- | ----------------------------------------- | ---- |
    | 原凭证号      | `line_item_original_document_number`      | Text |
    | 税种        | `line_item_tax_type`                      | Text |
    | Item name | `line_item_name`                          | Text |
    | 税款所属时期    | `line_item_tax_period`                    | Text |
    | 入（退）库日期   | `line_item_treasury_entry_or_refund_date` | Text |
    | Amount    | `line_item_amount`                        | Text |
  </Accordion>

  <Accordion title="Taxi ticket (taxi_ticket)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Invoice code                            | `invoice_code`           | Text |
    | Invoice number                          | `invoice_number`         | Text |
    | Invoice location                        | `invoice_location`       | Text |
    | Date                                    | `trip_start_date`        | Text |
    | Pickup time                             | `pickup_time`            | Text |
    | Drop-off time                           | `dropoff_time`           | Text |
    | Distance                                | `distance`               | Text |
    | Vehicle number                          | `vehicle_number`         | Text |
    | Unit price                              | `unit_price`             | Text |
    | Original taxi fare                      | `amount`                 | Text |
    | Fuel surcharge                          | `fuel_surcharge`         | Text |
    | Total amount                            | `total_amount`           | Text |
    | Invoice seal present                    | `invoice_seal_present`   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |
  </Accordion>

  <Accordion title="Train ticket refund fee (ticket_refund_fee)">
    | Field               | Field Name                           | Type |
    | ------------------- | ------------------------------------ | ---- |
    | 金额                  | `vat_invoice_total_cover_tax_digits` | Text |
    | 大写金额                | `vat_invoice_total_cover_tax`        | Text |
    | 开票人                 | `vat_invoice_drawer`                 | Text |
    | 发票号码                | `vat_invoice_haoma`                  | Text |
    | 发票专用章存在性判断          | `exist_invoice_seal`                 | Text |
    | 发票监制章存在性判断          | `exist_invoice_superviser_stamp`     | Text |
    | 发票抬头                | `vat_invoice_title`                  | Text |
    | 发票消费类型              | `vat_invoice_goods_type_list`        | Text |
    | 发票日期（YYYY-MM-DD）    | `vat_invoice_format_date`            | Text |
    | 发票所在PDF文件页码（图片默认为1） | `invoice_pdf_page_number`            | Text |
  </Accordion>

  <Accordion title="Paper train ticket (train_ticket)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Expense category                        | `expense_category`       | Text |
    | Invoice number                          | `invoice_number`         | Text |
    | Departure station                       | `departure_station`      | Text |
    | Arrival station                         | `arrival_station`        | Text |
    | Train number                            | `train_number`           | Text |
    | Travel date                             | `travel_date`            | Text |
    | Departure time                          | `departure_time`         | Text |
    | Seat number                             | `seat_number`            | Text |
    | Seat class                              | `seat_class`             | Text |
    | Total amount                            | `total_amount`           | Text |
    | Passenger ID                            | `passenger_id`           | Text |
    | Passenger name                          | `passenger_name`         | Text |
    | Invoice code                            | `invoice_code`           | Text |
    | Train ticket ID                         | `train_ticket_id`        | Text |
    | Train ticket red code                   | `train_ticket_red_code`  | Text |
    | Remarks                                 | `remarks`                | Text |
    | Is refund fee                           | `is_refund_fee`          | Text |
    | Is change fee                           | `is_change_fee`          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |
  </Accordion>

  <Accordion title="Ride-hailing itinerary (travel_transport)">
    | Field                                   | Field Name               | Type |
    | --------------------------------------- | ------------------------ | ---- |
    | Invoice title                           | `invoice_title`          | Text |
    | Expense category                        | `expense_category`       | Text |
    | Issue date                              | `issue_date`             | Text |
    | Trip start date                         | `trip_start_date`        | Text |
    | Trip end date                           | `trip_end_date`          | Text |
    | Total amount                            | `total_amount`           | Text |
    | Passenger phone number                  | `passenger_phone`        | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number` | Text |

    **Table fields**

    | Field                   | Field Name                   | Type |
    | ----------------------- | ---------------------------- | ---- |
    | Departure               | `line_item_departure`        | Text |
    | City                    | `line_item_city`             | Text |
    | Destination             | `line_item_destination`      | Text |
    | Pickup date             | `line_item_pickup_date`      | Text |
    | Pickup time             | `line_item_pickup_time`      | Text |
    | Pickup time / trip time | `line_item_pickup_datetime`  | Text |
    | Distance                | `line_item_distance`         | Text |
    | Amount                  | `line_item_amount`           | Text |
    | Service provider        | `line_item_service_provider` | Text |
    | Vehicle type            | `line_item_vehicle_type`     | Text |
  </Accordion>

  <Accordion title="VAT invoice sales list (vat_invoice_sales_list)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Buyer name                              | `buyer_name`                | Text |
    | Seller name                             | `seller_name`               | Text |
    | Toll invoice code                       | `invoice_code`              | Text |
    | Toll invoice number                     | `invoice_number`            | Text |
    | Page number (total pages/current page)  | `invoice_page_number`       | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Page amount excluding tax               | `page_amount_excluding_tax` | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Page tax amount                         | `page_tax_amount`           | Text |
    | Issue date                              | `issue_date`                | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Invoice title                           | `invoice_title`             | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | 项目序号          | `line_item_number`        | Text |
    | Item name     | `line_item_name`          | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
  </Accordion>

  <Accordion title="Used car sales invoice (used_car_purchase_invoice)">
    | Field                                   | Field Name                                   | Type |
    | --------------------------------------- | -------------------------------------------- | ---- |
    | Invoice title                           | `invoice_title`                              | Text |
    | Invoice type                            | `invoice_type`                               | Text |
    | Expense category                        | `expense_category`                           | Text |
    | Invoice location                        | `invoice_location`                           | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`                          | Text |
    | Invoice copy number                     | `invoice_copy_number`                        | Text |
    | Toll invoice code                       | `invoice_code`                               | Text |
    | Toll invoice number                     | `invoice_number`                             | Text |
    | 全电发票号码（税控码区内）                           | `invoice_evat_number`                        | Text |
    | Issue date                              | `issue_date`                                 | Text |
    | Machine code                            | `machine_code`                               | Text |
    | 机打代码                                    | `machine_printed_code`                       | Text |
    | Machine-printed number                  | `machine_printed_number`                     | Text |
    | QR code information                     | `qr_code`                                    | Text |
    | Buyer name                              | `buyer_name`                                 | Text |
    | 购买身份证号码/组织机构代码                          | `buyer_identity_or_organization_code`        | Text |
    | 购买方地址                                   | `buyer_address`                              | Text |
    | 购买方电话号码                                 | `buyer_phone`                                | Text |
    | Seller name                             | `seller_name`                                | Text |
    | 卖方身份证号码/组织机构代码                          | `seller_identity_or_organization_code`       | Text |
    | 卖方地址                                    | `seller_address`                             | Text |
    | 卖方电话号码                                  | `seller_phone`                               | Text |
    | 车牌照号                                    | `vehicle_license_plate_number`               | Text |
    | 登记证号                                    | `vehicle_registration_certificate_number`    | Text |
    | 车辆类型                                    | `vehicle_type`                               | Text |
    | 车架号/车辆识别代码                              | `vehicle_identification_number`              | Text |
    | 厂牌型号                                    | `vehicle_model`                              | Text |
    | 转入地车辆管理所名称                              | `transfer_in_vehicle_management_office_name` | Text |
    | Total amount in words                   | `total_amount_in_words`                      | Text |
    | Total amount                            | `total_amount`                               | Text |
    | 经营、拍卖单位                                 | `auction_entity_name`                        | Text |
    | 经营、拍卖单位地址                               | `auction_entity_address`                     | Text |
    | 经营、拍卖单位纳税人识别号                           | `auction_entity_tax_id`                      | Text |
    | 经营、拍卖单位开户银行、账号                          | `auction_entity_bank_account`                | Text |
    | 经营、拍卖单位电话                               | `auction_entity_phone`                       | Text |
    | 二手车市场                                   | `vehicle_market_name`                        | Text |
    | 二手车市场纳税人识别号                             | `vehicle_market_tax_id`                      | Text |
    | 二手车市场地址                                 | `vehicle_market_address`                     | Text |
    | 二手车市场开户银行、账号                            | `vehicle_market_bank_account`                | Text |
    | 二手车市场电话                                 | `vehicle_market_phone`                       | Text |
    | Remarks                                 | `remarks`                                    | Text |
    | Issuer name                             | `issuer_name`                                | Text |
    | Invoice seal present                    | `invoice_seal_present`                       | Text |
    | Invoice supervision seal present        | `supervision_seal_present`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`                     | Text |
  </Accordion>

  <Accordion title="VAT common invoice (vat_common_invoice)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | VAT special/general invoice             | `invoice_tax_category`      | Text |
    | Electronic/paper invoice                | `invoice_media_type`        | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Seller bank account                     | `seller_bank_account`       | Text |
    | Seller address and phone                | `seller_address_phone`      | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Buyer bank account                      | `buyer_bank_account`        | Text |
    | Buyer address and phone                 | `buyer_address_phone`       | Text |
    | Verification code                       | `verification_code`         | Text |
    | Issue date                              | `issue_date`                | Text |
    | Invoice code                            | `invoice_code`              | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Issued on behalf                        | `is_issued_on_behalf`       | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Cipher text                             | `cipher_text`               | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Reviewer name                           | `reviewer_name`             | Text |
    | Payee name                              | `payee_name`                | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Province/city                           | `invoice_location`          | Text |
    | Invoice copy number                     | `invoice_copy_number`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`         | Text |
    | Machine code                            | `machine_code`              | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
  </Accordion>

  <Accordion title="VAT special invoice (vat_special_invoice)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | VAT special/general invoice             | `invoice_tax_category`      | Text |
    | Electronic/paper invoice                | `invoice_media_type`        | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Seller bank account                     | `seller_bank_account`       | Text |
    | Seller address and phone                | `seller_address_phone`      | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Buyer bank account                      | `buyer_bank_account`        | Text |
    | Buyer address and phone                 | `buyer_address_phone`       | Text |
    | Verification code                       | `verification_code`         | Text |
    | Issue date                              | `issue_date`                | Text |
    | Invoice code                            | `invoice_code`              | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Issued on behalf                        | `is_issued_on_behalf`       | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Cipher text                             | `cipher_text`               | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Reviewer name                           | `reviewer_name`             | Text |
    | Payee name                              | `payee_name`                | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Province/city                           | `invoice_location`          | Text |
    | Invoice copy number                     | `invoice_copy_number`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`         | Text |
    | Machine code                            | `machine_code`              | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
  </Accordion>

  <Accordion title="VAT electronic special invoice (vat_electronic_special_invoice)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | VAT special/general invoice             | `invoice_tax_category`      | Text |
    | Electronic/paper invoice                | `invoice_media_type`        | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Seller bank account                     | `seller_bank_account`       | Text |
    | Seller address and phone                | `seller_address_phone`      | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Buyer bank account                      | `buyer_bank_account`        | Text |
    | Buyer address and phone                 | `buyer_address_phone`       | Text |
    | Verification code                       | `verification_code`         | Text |
    | Issue date                              | `issue_date`                | Text |
    | Invoice code                            | `invoice_code`              | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Issued on behalf                        | `is_issued_on_behalf`       | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Cipher text                             | `cipher_text`               | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Reviewer name                           | `reviewer_name`             | Text |
    | Payee name                              | `payee_name`                | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Province/city                           | `invoice_location`          | Text |
    | Invoice copy number                     | `invoice_copy_number`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`         | Text |
    | Machine code                            | `machine_code`              | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
  </Accordion>

  <Accordion title="VAT electronic invoice (vat_electronic_invoice)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | VAT special/general invoice             | `invoice_tax_category`      | Text |
    | Electronic/paper invoice                | `invoice_media_type`        | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Seller bank account                     | `seller_bank_account`       | Text |
    | Seller address and phone                | `seller_address_phone`      | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Buyer bank account                      | `buyer_bank_account`        | Text |
    | Buyer address and phone                 | `buyer_address_phone`       | Text |
    | Verification code                       | `verification_code`         | Text |
    | Issue date                              | `issue_date`                | Text |
    | Invoice code                            | `invoice_code`              | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Issued on behalf                        | `is_issued_on_behalf`       | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Cipher text                             | `cipher_text`               | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Reviewer name                           | `reviewer_name`             | Text |
    | Payee name                              | `payee_name`                | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Province/city                           | `invoice_location`          | Text |
    | Invoice copy number                     | `invoice_copy_number`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`         | Text |
    | Machine code                            | `machine_code`              | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
  </Accordion>

  <Accordion title="Blockchain electronic invoice (blockchain_electronic_invoice)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Verification code                       | `verification_code`         | Text |
    | Toll invoice number                     | `invoice_number`            | Text |
    | Toll invoice code                       | `invoice_code`              | Text |
    | Issue date                              | `issue_date`                | Text |
    | Total amount                            | `total_amount`              | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller bank account                     | `seller_bank_account`       | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Seller address and phone                | `seller_address_phone`      | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Buyer bank account                      | `buyer_bank_account`        | Text |
    | Buyer address and phone                 | `buyer_address_phone`       | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | VAT special/general invoice             | `invoice_tax_category`      | Text |
    | Issued on behalf                        | `is_issued_on_behalf`       | Text |
    | Deduction/invoice/accounting copy       | `invoice_copy_type`         | Text |
    | Electronic/paper invoice                | `invoice_media_type`        | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Cipher text                             | `cipher_text`               | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Reviewer name                           | `reviewer_name`             | Text |
    | Payee name                              | `payee_name`                | Text |
    | Invoice location                        | `invoice_location`          | Text |
    | Invoice copy number                     | `invoice_copy_number`       | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice title                           | `invoice_title`             | Text |
    | Machine code                            | `machine_code`              | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | Expense category                        | `expense_category`          | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field         | Field Name                | Type |
    | ------------- | ------------------------- | ---- |
    | Item name     | `line_item_name`          | Text |
    | Specification | `line_item_specification` | Text |
    | Unit          | `line_item_unit`          | Text |
    | Quantity      | `line_item_quantity`      | Text |
    | Unit price    | `line_item_unit_price`    | Text |
    | Amount        | `line_item_amount`        | Text |
    | Tax rate      | `line_item_tax_rate`      | Text |
    | Tax amount    | `line_item_tax_amount`    | Text |
  </Accordion>

  <Accordion title="New VAT electronic invoice (vat_electronic_invoice_new)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Issue date                              | `issue_date`                | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Page tax amount                         | `page_tax_amount`           | Text |
    | Page amount excluding tax               | `page_amount_excluding_tax` | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Page number (total pages/current page)  | `invoice_page_number`       | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field                       | Field Name                            | Type |
    | --------------------------- | ------------------------------------- | ---- |
    | Item name                   | `line_item_name`                      | Text |
    | Amount                      | `line_item_amount`                    | Text |
    | Tax rate                    | `line_item_tax_rate`                  | Text |
    | Tax amount                  | `line_item_tax_amount`                | Text |
    | Specification               | `line_item_specification`             | Text |
    | Unit                        | `line_item_unit`                      | Text |
    | Quantity                    | `line_item_quantity`                  | Text |
    | Unit price                  | `line_item_unit_price`                | Text |
    | Passenger                   | `line_item_passenger_name`            | Text |
    | Valid identification number | `line_item_passenger_id`              | Text |
    | Travel date                 | `line_item_pickup_date`               | Text |
    | Departure location          | `line_item_departure_station`         | Text |
    | Arrival location            | `line_item_arrival_location`          | Text |
    | Class                       | `line_item_seat_class`                | Text |
    | Transportation type         | `line_item_transportation_type`       | Text |
    | Transportation category     | `line_item_transportation_type`       | Text |
    | Transportation identifier   | `line_item_transportation_identifier` | Text |
    | Place of departure          | `line_item_departure`                 | Text |
    | Destination                 | `line_item_destination`               | Text |
    | Cargo name                  | `line_item_cargo_name`                | Text |
  </Accordion>

  <Accordion title="New VAT electronic special invoice (vat_electronic_special_invoice_new)">
    | Field                                   | Field Name                  | Type |
    | --------------------------------------- | --------------------------- | ---- |
    | Invoice title                           | `invoice_title`             | Text |
    | Invoice type                            | `invoice_type`              | Text |
    | Expense / service category              | `expense_category`          | Text |
    | Industry attribute                      | `invoice_industry_category` | Text |
    | Invoice number                          | `invoice_number`            | Text |
    | Seller name                             | `seller_name`               | Text |
    | Seller tax ID                           | `seller_tax_id`             | Text |
    | Buyer name                              | `buyer_name`                | Text |
    | Buyer tax ID                            | `buyer_tax_id`              | Text |
    | Issue date                              | `issue_date`                | Text |
    | Total amount in words                   | `total_amount_in_words`     | Text |
    | Total amount                            | `total_amount`              | Text |
    | Amount excluding tax                    | `amount_excluding_tax`      | Text |
    | Page tax amount                         | `page_tax_amount`           | Text |
    | Page amount excluding tax               | `page_amount_excluding_tax` | Text |
    | Total tax amount                        | `tax_amount`                | Text |
    | Remarks                                 | `remarks`                   | Text |
    | Issuer name                             | `issuer_name`               | Text |
    | Invoice seal present                    | `invoice_seal_present`      | Text |
    | Invoice supervision seal present        | `supervision_seal_present`  | Text |
    | QR code information                     | `qr_code`                   | Text |
    | Page number (total pages/current page)  | `invoice_page_number`       | Text |
    | Source PDF page number (1 for an image) | `source_pdf_page_number`    | Text |

    **Table fields**

    | Field                       | Field Name                            | Type |
    | --------------------------- | ------------------------------------- | ---- |
    | Item name                   | `line_item_name`                      | Text |
    | Amount                      | `line_item_amount`                    | Text |
    | Tax rate                    | `line_item_tax_rate`                  | Text |
    | Tax amount                  | `line_item_tax_amount`                | Text |
    | Specification               | `line_item_specification`             | Text |
    | Unit                        | `line_item_unit`                      | Text |
    | Quantity                    | `line_item_quantity`                  | Text |
    | Unit price                  | `line_item_unit_price`                | Text |
[...]
